<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

// BEGIN ENQUEUE PARENT ACTION
// AUTO GENERATED - Do not modify or remove comment markers above or below:
function auto_parts_store_theme_setup(){
    // Make theme available for translation.
    load_theme_textdomain( 'auto-parts-store', get_stylesheet_directory_uri() . '/languages' );
}
add_action( 'after_setup_theme', 'auto_parts_store_theme_setup' );

if ( !function_exists( 'auto_parts_store_parent_css' ) ):
    function auto_parts_store_parent_css() {
        wp_enqueue_style( 'auto_parts_store_parent', trailingslashit( get_template_directory_uri() ) . 'style.css', array( 'bootstrap','bi-icons','icofont','scrollbar','owl-carousel','emart-shop-common' ) );
    }
endif;

add_action( 'wp_enqueue_scripts', 'auto_parts_store_parent_css', 10 );

// END ENQUEUE PARENT ACTION

if( !function_exists('auto_parts_store_disable_from_parent') ):

    add_action('init','auto_parts_store_disable_from_parent',10);
    function auto_parts_store_disable_from_parent(){
        
        global $emart_shop_Header_Layout, $emart_shop_post_related;

        remove_action('emart_shop_site_header', array( $emart_shop_Header_Layout, 'site_header_wrap_before' ), 10 );

        remove_action('emart_shop_site_header', array( $emart_shop_Header_Layout, 'site_top_bar' ),20 );
        
        remove_action('emart_shop_site_header', array( $emart_shop_Header_Layout, 'site_header_layout' ), 30 );

        remove_action('emart_shop_site_header', array( $emart_shop_Header_Layout, 'site_header_wrap_after' ), 99 );

        if( !is_admin()  )
        {
            remove_action( 'emart_shop_site_content_type', array( $emart_shop_post_related,'site_loop_heading' ), 10 ); 
             
        }
        remove_action( 'woocommerce_shop_loop_item_title', 'emart_shop_item_box_content_categories', 5 );
    }
    
endif;


if( !function_exists('auto_parts_store_posts_heading') ):
     add_action('emart_shop_site_content_type', 'auto_parts_store_posts_heading', 10 );

    function auto_parts_store_posts_heading() {
        if( is_page() ) return;
        if( !is_admin()  ){
            if ( is_singular() ) :
                the_title( '<h2 class="entry-title">', '</h2>' );
            else :
                the_title( '<h4 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark" >', '</a></h4>' );
            endif;
        }
        
    }

endif;
if( !function_exists('auto_parts_store_header_layout') ):
     add_action('emart_shop_site_header', 'auto_parts_store_header_layout', 10 );

    function auto_parts_store_header_layout(){
        global $emart_shop_Header_Layout;
    ?>
    <header id="masthead" class="site-header header_layout_2">
        <div class="container brand-wrap">
            <div class="row align-items-center">
                <div class="col-lg-4 col-md-4 col-sm-4 col-12 icon-style-2">
                    <?php echo esc_html( emart_shop_get_option('dialogue_text')  );?>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-4 col-12 logo-wrap text-center" >
                    <?php do_action('emart_shop_header_layout_1_branding');?>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-4 col-12 icon-style-2">
                    <div class="justify-content-end ms-auto d-flex">
                    <?php
                        if ( class_exists( 'WooCommerce' ) ) :
                            if ( is_user_logged_in() ) {
                            echo '<a href="'.esc_url(get_permalink( get_option('woocommerce_myaccount_page_id') )).'" class="login-btn"><i class="fas fa-user"></i>'.esc_html__('My Account','auto-parts-store').'</a>';
                            } else {
                            echo '<a href="#" class="login-btn login-btn-popup"><i class="fas fa-user"></i> '.esc_html__('Account login','auto-parts-store').' </a>';
                            }
                        endif;
                     ?>
                    <ul class="social d-flex">

                        <?php if( emart_shop_get_option('__fb_pro_link')!="" ) : ?> 
                        <li class="flex-fill"><a href="<?php echo esc_url( emart_shop_get_option('__fb_pro_link') );?>" target="_blank" rel="nofollow"><i class="icofont-facebook"></i></a></li>
                        <?php endif;?>
                        
                        <?php if( emart_shop_get_option('__tw_pro_link')!="" ) : ?> 
                        <li class="flex-fill"><a href="<?php echo esc_url( emart_shop_get_option('__tw_pro_link') );?>" target="_blank" rel="nofollow"><i class="icofont-twitter"></i></a></li>
                        <?php endif;?>
                        
                        <?php if( emart_shop_get_option('__you_pro_link')!="" ) : ?> 
                        <li class="flex-fill"><a href="<?php echo esc_url( emart_shop_get_option('__you_pro_link') );?>" target="_blank" rel="nofollow"><i class="icofont-youtube-play"></i></a></li>
                        <?php endif;?>
                    </ul>
                    </div>
                </div>
                
            </div>
        </div>

        <div id="nav-wrap">
          <div class="container">
            <div class="d-flex align-items-center">
            <?php do_action('emart_shop_header_layout_1_navigation');?>
            <?php echo wp_kses( $emart_shop_Header_Layout->get_site_navbar_icon(), emart_shop_alowed_tags() );?>
            </div>
          </div>
        </div>
    </header>
    <?php
    }
endif;



if( !function_exists('auto_parts_store_header_args') ):
    add_filter( 'emart_shop_custom_header_args', 'auto_parts_store_header_args' );
    function auto_parts_store_header_args( $args ){
       $args['default-image'] = get_stylesheet_directory_uri() . '/image/header-1.jpg';
       return $args;
    }
endif;